﻿using System;
using System.Collections.Generic;
using System.Text;

namespace MyStack
{
    public class MyStack
    {
        private int _top;
        private int[] _stack;


        public MyStack()
        {
            _top = 0;
            _stack = new int[2];
        }

        public void Push(int element)
        {
            if (_stack.Length == _top) throw new MyStackIfFullException("Stakken er fuld!");

            _stack[_top++] = element;
           
        }

        public int Pop()
        {
            try
            {
                return _stack[--_top];
            }
            catch (Exception e)
            {
                _top++;
                throw new MyStackIsEmptyException("Stakken er tom!", e);
            }
           
        }
    }
}
