﻿using System;
using System.Collections.Generic;
using System.Text;
using MyStack;

namespace MyStackGeneric
{
    public class MyStack<T>
    {
        private int _top;
        private T[] _stack;


        public MyStack(int size)
        {
            _top = 0;
            _stack = new T[size];
        }

        public void Push(T element)
        {
            if (_stack.Length == _top) throw new MyStackIfFullException("Stakken er fuld!");

            _stack[_top++] = element;

        }

        public T Pop()
        {
            try
            {
                return _stack[--_top];
            }
            catch (Exception e)
            {
                _top++;
                throw new MyStackIsEmptyException("Stakken er tom!", e);
            }

        }
    }
}

